Browse Source

Upgrade pip before installing zuul

The new cryptography release needs either a recent pip to be able to
use abi3 wheels or a rust compiler on the system to make the source
installation work. Thus upgrade pip to use the wheels.

Change-Id: I4024a89e54de8bbb4e90cbe152a1504e31515fa8
Depends-On: https://review.opendev.org/c/zuul/zuul-jobs/+/775511
changes/17/775017/2
Tobias Henkel 5 months ago
parent
commit
d642e14cc6
No known key found for this signature in database GPG Key ID: 3750DEC158E5FA2
  1. 4
      roles/nodepool-zuul-functional/tasks/main.yaml

4
roles/nodepool-zuul-functional/tasks/main.yaml

@ -1,6 +1,8 @@
- name: Install packages
shell:
cmd: sudo pip3 install -e .
cmd: |+
sudo pip3 install --upgrade pip setuptools wheel
sudo pip3 install -e .
chdir: "{{ zuul.projects['opendev.org/zuul/nodepool'].src_dir }}"
- name: Run zuul-nodepool-integration/start.sh

Loading…
Cancel
Save